#!/usr/bin/env python
import sys
import numpy as np
import scipy.constants as const
from opmd_viewer import OpenPMDTimeSeries 

meters = 1.0
millimeters = const.milli*meters
microns = const.micro*meters
seconds = 1.0
femtoseconds = const.femto*seconds

assert len(sys.argv) == 2
step = np.float(sys.argv[1])
data = OpenPMDTimeSeries('./h5')
rho, info_rho = data.get_field(iteration=step,  field='e_chargeDensity', slicing_dir='x')
ne = -rho/const.e
ex = np.array(info_rho.imshow_extent)
#print '%.4g\t%.4g' % (ex[1], ne[ne.shape[0]/2,-1])
print '%.4g\t%.4g' % (ex[1], np.mean(ne[:,-1]))
